Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchContractGroupCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchContractGroupCondition

All Implemented Interfaces:
  `Serializable`

@Deprecated public class DispatchContractGroupCondition extends DispatchCondition
Deprecated.
оставлен для того, чтобы при обновлении ничего не слетало и `ConverterGroupsToLabelsOnDispatches` адаптировал условия отправки с групп на метки договора
Условие отправки по группе договора. Устанавливается список выбранных групп в виде битовой маски.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchContractGroupCondition()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `deserializePart(Element element)`
  Deprecated.
  `long`
  `getGroups()`
  Deprecated.
  Получение списка выбранных групп для данного условия отправки в виде битовой маски групп.
  `protected void`
  `serializePart(Element element)`
  Deprecated.
  `void`
  `setGroups(long grouopMask)`
  Deprecated.
  Установка выбранных групп в виде битовой маски.
  `void`
  `setGroups(String groups)`
  Deprecated.
  Установка выбранных групп в виде строки, где перечислены коды групп, через запятую.

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getClassName, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchContractGroupCondition

    public DispatchContractGroupCondition()
    Deprecated.

- ## Method Details

  - ### getGroups

    public long getGroups()
    Deprecated.
    Получение списка выбранных групп для данного условия отправки в виде битовой маски групп. Если вдруг понадобится представить данный список в виде строки, где перечислены id групп через запятую, то использовать метод `Utils.maskToEnum(long)`
    Returns:

  - ### setGroups

    public void setGroups(long grouopMask)
    Deprecated.
    Установка выбранных групп в виде битовой маски. Чтобы получить маску из строки, в которой перечислены коды групп через запятую, использовать метод `Utils.enumToMask(String)`
    Parameters:
      `grouopMask` - битовая маска групп

  - ### setGroups

    public void setGroups(String groups)
    Deprecated.
    Установка выбранных групп в виде строки, где перечислены коды групп, через запятую.
    Parameters:
      `groups` - коды групп через запятую.

  - ### serializePart

    protected void serializePart(Element element)
    Deprecated.
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart(Element element)
    Deprecated.
    Specified by:
      `deserializePart` in class `DispatchCondition`